# Uses of Interface
org.italiangrid.voms.request.VOMSESParser

Packages that use VOMSESParser
Package
Description
org.italiangrid.voms.request
This package provides the API for requesting VOMS attribtues from a remote VOMS server.
org.italiangrid.voms.request.impl
This package provides the implementation logic for VOMS attributes requests.

## Uses of VOMSESParser in org.italiangrid.voms.request

Methods in org.italiangrid.voms.request that return VOMSESParser
Modifier and Type
Method
Description
`static VOMSESParser`
VOMSESParserFactory.`newVOMSESParser()`

## Uses of VOMSESParser in org.italiangrid.voms.request.impl

Classes in org.italiangrid.voms.request.impl that implement VOMSESParser
Modifier and Type
Class
Description
`class`
`LegacyVOMSESParserImpl`
Implementation of the `VOMSESParser` interface.
Methods in org.italiangrid.voms.request.impl with parameters of type VOMSESParser
Modifier and Type
Method
Description
`DefaultVOMSServerInfoStore.Builder`
DefaultVOMSServerInfoStore.Builder.`vomsesParser(VOMSESParser p)`
Sets the `VOMSESParser` implementation that will be used to parse vomses files